Update an ExperimentAsk AIpatch https://api.optimizely.com/v2/experiments/{experiment_id}Update an experiment by ID.Path Paramsexperiment_idint64requiredThe Experiment ID of the Experiment you want to changeQuery ParamsactionstringenumAction to change the state of the experiment. publish saves and stages your experiment. If you have not started your experiment or the experiment is paused, your changes will not be visible to visitors when you publish. start makes your experiment live to all visitors who are in your targeted audience and changes the status to running. pause stops the experiment and changes the status to paused. No new visitors will see a paused experiment until you restart it. See Differences among publish, start, and pause for details. resume resumes the experiment from a paused status without publishing any new changes. Status will be running. unarchive unarchives an archived experiment. Status will be paused.publishstartpauseresumeunarchiveAllowed:publishstartpauseresumeunarchiveBody ParamsA string in JSON format that includes all the fields you'd like to change for an Experiment except when action=unarchive then set the payload as an empty JSON object ie. {}audience_conditionsstringThe audiences that should see this experiment. To target everyone, use the string "everyone". Multiple audiences can be combined with "and" or "or" using the same structure as audience conditionschangesarray of objectsCustom CSS or JavaScript that will run before all variations in the Experiment (for Experiments in Web Projects only)changesADD objectdescriptionstringThe description or hypothesis for an ExperimentenvironmentsobjectString identifier for the Experiment's status in each Environment based on the environment key.environments objectfeature_idint64The ID of a Feature to attach to the Experiment. This turns an Experiment into a Feature Test.holdbackinteger0 to 10000Percent of traffic to exclude from the experiment, measured in basis points. 100 basis points = 1% traffic. For example, a value of 9900 would mean that 1% of visitors will be eligible for the experiment. This is only applicable for Web.keystringlength ≤ 64Unique string idz for this Experiment within the Project. Only applicable for Full Stack and Mobile projects.metricsarray of objectsAn ordered list of metrics to track for the ExperimentmetricsADD objectnamestringName of the Experimentpage_idsarray of int64sA list of Page IDs used in the Experiment. Only url_targeting or page_ids can be used when updating an experiment, but not both.page_idsADD int64scheduleobjectschedule objecttraffic_allocationinteger0 to 10000Percent of traffic allocated for the experiment, measured in basis points. 100 basis points = 1% traffic. For example, a value of 5500 would mean that 55% of visitors will be eligible for the experiment. This is only applicable for Full Stack.url_targetingobjecturl_targeting objectvariationsarray of objectsList of IDs of all variations in the ExperimentvariationsADD objectwhitelistarray of objectsA list containing the user IDs and variations of users who have been whitelistedwhitelistADD objectResponses 200Successfully updated Experiment 401Invalid credentials 403You do not have permission to update the specified Experiment 404Experiment not found 409Experiment edit conflict: there are changes currently drafted on the Experiment. Provide "override_changes" parameter to force an update. 500Internal server error defaultUnexpected errorUpdated 7 months ago